import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования Treeview")

    def create_widgets(self):
        self.img = tkinter.PhotoImage(file="icon.gif")
        trwPlatforms = tkinter.ttk.Treeview(self, columns=("Version"), displaycolumns=(0,), show="tree")
        root = trwPlatforms.insert("", "end", None, text="Python", image=self.img, values=("3.6.4",), open=True)
        trwPlatforms.insert(root, "end", None, text="Pillow", image=self.img, values=("1.1.7",))
        trwPlatforms.insert(root, "end", None, text="Django", image=self.img, values=("1.9.2",))
        trwPlatforms.insert(root, "end", None, text="MySQLClient", image=self.img, values=("1.3.12",))
        root = trwPlatforms.insert("", "end", None, text="PHP", image=self.img, values=("7.2.1",))
        trwPlatforms.insert(root, "end", None, text="Laravel", image=self.img, values=("5.3.29",))
        trwPlatforms.column("Version", width=50, stretch=False, anchor="center")
        trwPlatforms.grid()

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
